<html lang="fr">
  <head>
    <title>Écrire en chiffres ou en lettres</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="viewport" content="height=device-height">
    {% include 'templates/favicon.html' %}
    {% include 'templates/global.css.html' %}
    <link rel="stylesheet" type="text/css" media="screen" href="standard.css" />
    <link rel="stylesheet" type="text/css" media="screen" href="chiffres-lettres.css" />
    <link rel="stylesheet" type="text/css" media="print" href="impression.css">
</head>
<body>
  {% include 'templates/widget_back_menu.html' %}
  <div id="ecran-blanc" class="ecran invisible noprint"></div>
  <div class="zoneAnnexe noprint">
      <div class="zoneAnnexe_zoneSelection">
        <form name="form-niveau" class="formNiveau">
            <span class="formNiveau_titre">Choisis un type d'exercice :</span>
          <p class="zoneAnnexe_p"></p>
          <p class="zoneAnnexe_p"><input id="chiffres" type="radio" name="type-exo" value="chiffres" class="zoneAnnexe_zoneSelection_radio" onclick="lanceExercice('chiffres')"/><label class="zoneAnnexe_zoneSelection_label" for="chiffres" onclick="lanceExercice('chiffres')">Écrire les nombres en chiffres</label></p>
          <p class="zoneAnnexe_p"><input id="lettres" type="radio" name="type-exo" value="lettres" class="zoneAnnexe_zoneSelection_radio" onclick="lanceExercice('lettres')"/><label class="zoneAnnexe_zoneSelection_label" for="lettres" onclick="lanceExercice('lettres')">Écrire les nombres en lettres</label></p>
          <span class="formNiveau_titre">Choisis un niveau de difficulté :</span>
          <p class="zoneAnnexe_p"></p>
          <p class="zoneAnnexe_p"><input type="radio" name="niveau" value="0" id="niveau1" class="zoneAnnexe_zoneSelection_radio" onclick="lanceNiveau(1)"/><label class="zoneAnnexe_zoneSelection_label" for="niveau1" onclick="lanceNiveau(1)">Nombres jusqu'à 100</label></p>
          <p class="zoneAnnexe_p"><input type="radio" name="niveau" value="1" id="niveau2" class="zoneAnnexe_zoneSelection_radio" onclick="lanceNiveau(2)"/><label class="zoneAnnexe_zoneSelection_label" for="niveau2" onclick="lanceNiveau(2)">Nombres jusqu'à 1 000</label></p>
          <p class="zoneAnnexe_p"><input type="radio" name="niveau" value="2" id="niveau3" class="zoneAnnexe_zoneSelection_radio" onclick="lanceNiveau(3)"/><label class="zoneAnnexe_zoneSelection_label" for="niveau3" onclick="lanceNiveau(3)">Nombres jusqu'à 10 000</label></p>
          <p class="zoneAnnexe_p"><input type="radio" name="niveau" value="3" id="niveau4" class="zoneAnnexe_zoneSelection_radio" onclick="lanceNiveau(4)"/><label class="zoneAnnexe_zoneSelection_label" for="niveau4" onclick="lanceNiveau(4)">Nombres jusqu'à 1 000 000</label></p>
          <p class="zoneAnnexe_p"><input type="radio" name="niveau" value="4" id="niveau5" class="zoneAnnexe_zoneSelection_radio" onclick="lanceNiveau(5)"/><label class="zoneAnnexe_zoneSelection_label" for="niveau5" onclick="lanceNiveau(5)">Nombres jusqu'à 1 000 000 000</label></p>
          <p class="zoneAnnexe_p"><input type="radio" name="niveau" value="5" id="niveau6" class="zoneAnnexe_zoneSelection_radio" onclick="lanceNiveau(6)"/><label class="zoneAnnexe_zoneSelection_label" for="niveau6" onclick="lanceNiveau(6)">Nombres jusqu'à 1 000 000 000 000</label></p>
        </form>
        </div>
      <div id="zone-resultats" class="zoneResultats">
        <div class="zoneResultats_titre">Résultats</div>
        <div class="zoneResultats_corps">
          <div class="blocResultats blocResultats_bloc1">
            <div class="blocResultats_titre">
              <div>Épreuve en cours</div>
            </div>
            <div class="ligneResultat">
              <div class="labelResultat">Nombre de tentatives : </div>
              <div id="nbtentatives" class="resultat"></div>
            </div>
          </div>
          <div><hr></div>
          <div class="blocResultats blocResultats_bloc2">
              <div class="ligneResultat">
                <div class="labelResultat">Nombre d'épreuves : </div>
                <div id="nbepreuves" class="resultat"></div>
              </div>
              <div class="ligneResultat">
                <div class="labelResultat">Nombre de tentatives : </div>
                <div id="total-tentatives" class="resultat"></div>
              </div>
              <div class="ligneResultat">
                <div class="labelResultat">Taux d'efficacité : </div>
                <div id="efficacite" class="resultat"></div>
              </div>
              <div class="ligneResultat">
                <div class="labelResultat">Abandons : </div>
                <div id="nbechecs" class="resultat"></div>
              </div>
            <div class="ligneResultat">
              <div class="labelResultat">Taux de réussite : </div>
              <div id="reussite" class="resultat"></div>
            </div>
          </div>
          <div class="zoneResultats_boutons">
              <button class="zoneResultats_bouton" type='button' onclick='demandeNom()'>Tous les résultats</button>
              </div>
        </div>
      </div>
    </div>
    <div class="zoneAction noprint">
      <!-- <div id="zone-affichage"> -->
      <div id="modele" class="zoneAction_modele"></div>
      <div id="annonces" class="zoneAction_annonces"></div>
      <!-- </div> -->
      <div class="zoneExercice">
        <form name="form-saisie" id="form-saisie" class="zoneExercice_formSaisie" onsubmit="soumetReponse(event)"></form>
        <div class="zoneAction_boutons">
          <button id="btnouveau" class="btcommande zoneAction_bouton" type="button" autocomplete="off" disabled onclick="nouveauNombre()">Nouveau nombre</button>
          <button id="btverifier" class="btcommande zoneAction_bouton" type="button" autocomplete="off" disabled onclick="verifier()">Vérifier</button>
          <button id="btsolution" class="btcommande zoneAction_bouton" type="button" autocomplete="off" disabled onclick="abandonner()">Solution</button>
          <button id="btinfos" class="btcommande zoneAction_bouton" type="button" autocomplete="off"  onclick="afficheInfos()">À savoir</button>
        </div>
      </div>
      <div id="annonces-footer" class="zoneAction_annonces zoneAction_annonces--hidden"></div>
    </div>

    <!-- ##########################     Fenêtres modales   ###################################  -->

    <div id="saisie-nom" class="modale modaleNom invisible noprint">
      <form class="formNom" onsubmit="pageResultats(event)">
        <label name="patronyme" id="lbpatronyme" class="modale_label">Écris ton nom :</label>
        <p><input id='patronyme' class="modale_input modaleNom_input" type="text" name="patronyme"/></p>
        <button class="modale_bouton modaleNom_bouton" type="submit">Valider</button>
        <button class="modale_bouton modaleNom_bouton" type="button" onclick="quitteModaleNom()">Annuler</button>
      </form>
    </div>
    <div id="modale-resultats" class="modale modaleResultats invisible">
    <div class="modaleResultats_entete">
        <p id="date">Date : </p>
        <h1 class="modaleResultats_entete_titre">Écrire en chiffres, écrire en lettres</h1>
      </div>
      <div id="nom" class="modaleResultats_ligneNom"></div>
      <div id="tab-resultats" class="modaleResultats_tabResultats">

        <table class="centrer modaleResultats_tabResultats_tab">
          <tbody>
            <tr>
              <td></td>
              <th colspan="2" class="modaleResultats_tabResultats_titreCol">Écrire en chiffres</th>
              <th colspan="2" class="modaleResultats_tabResultats_titreCol">Écrire en lettres</th>
            </tr>
            <tr>
              <th class="modaleResultats_tabResultats_titreCell">Nombres jusqu'à 100</th>
              <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
              <td id="resu-0-0" class="modaleResultats_tabResultats_cell_resultats"></td>
              <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
              <td id="resu-1-0" class="modaleResultats_tabResultats_cell_resultats"></td>
            </tr>
            <tr>
              <th class="modaleResultats_tabResultats_titreCell">Nombres jusqu'à 1 000</th>
              <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
              <td id="resu-0-1" class="modaleResultats_tabResultats_cell_resultats"></td>
              <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
              <td id="resu-1-1" class="modaleResultats_tabResultats_cell_resultats"></td>
            </tr>
            <tr>
              <th class="modaleResultats_tabResultats_titreCell">Nombres jusqu'à 10 000</th>
              <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
              <td id="resu-0-2" class="modaleResultats_tabResultats_cell_resultats"></td>
              <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
              <td id="resu-1-2" class="modaleResultats_tabResultats_cell_resultats"></td>
            </tr>
            <tr>
              <th class="modaleResultats_tabResultats_titreCell">Nombres jusqu'à 1 000 000</th>
                <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
                <td id="resu-0-3" class="modaleResultats_tabResultats_cell_resultats"></td>
                <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
                <td id="resu-1-3" class="modaleResultats_tabResultats_cell_resultats"></td>
            </tr>
            <tr>
              <th class="modaleResultats_tabResultats_titreCell">Nombres jusqu'à 1 000 000 000</th>
              <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
              <td id="resu-0-4" class="modaleResultats_tabResultats_cell_resultats"></td>
              <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
              <td id="resu-1-4" class="modaleResultats_tabResultats_cell_resultats"></td>
            </tr>
            <th class="modaleResultats_tabResultats_titreCell">Nombres jusqu'à 1 000 000 000 000</th>
            <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
            <td id="resu-0-5" class="modaleResultats_tabResultats_cell_resultats"></td>
            <td class="modaleResultats_tabResultats_cell_intitules">Nombre d'épreuves :<br />Nombre de tentatives :<br />Taux d'efficacité :<br />Abandons :<br />Taux de réussite :</td>
            <td id="resu-1-5" class="modaleResultats_tabResultats_cell_resultats"></td>
          </tr>
          </tbody>
        </table>


      </div>
      <div class="modaleResultats_commandes noprint centrer">
        <button type="button" class="modale_bouton modaleResultats_bouton" onclick="window.print()">Imprimer la page</button>
        <button type="button" class="modale_bouton modaleResultats_bouton" onclick="quittePageResultats()">Quitter</button>
      </div>
    </div>
    <div id="modale-infos" class="modale modaleInfos invisible noprint">
      <div id="corps-modale" class="modale_corps modaleInfos_corps">
        <h1 class="modaleInfos_titre">Écrire les nombres en chiffres</h1>
        <p>Les blocs de trois chiffres (les classes) sont séparés par des espaces. </p>
        <p>Exemples&nbsp;:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <span class="modaleInfos_exemple">852&nbsp;060&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        13&nbsp;322&nbsp;706&nbsp;900</span></p>
        <h1 class="modaleInfos_titre">Écrire les nombres en lettres</h1>
        <p>Pour orthographier les nombres en lettres, on place un tiret entre tous les
        mots qui le composent.</p>
        <p>&nbsp;Exemples&nbsp;:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
          <span class="modaleInfos_exemple">six-cent-trente-neuf&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        un-million-deux-cent-six-mille-trois-cent-douze</span></p>
        <p>Les noms des classes (milliard, million) prennent un s lorsqu'il y en a
        plusieurs, mais mille est invariable. </p>
        <p>Exemple&nbsp;&nbsp;:&nbsp;&nbsp;&nbsp;<span class="modaleInfos_exemple">un-milliard-cinq-cent-sept-millions-cent-mille-huit-cent-vingt-et-un</span></p>
        <p>Cent et vingt prennent un s lorsqu'il y a plusieurs fois cent ou vingt et
        lorsqu'ils ne sont pas suivis d'un autre mot. </p>
        <p>Exemples&nbsp;:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class="modaleInfos_exemple">mille-deux-cents&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        mille-deux-cent-neuf&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        sept-cent-quatre-vingts&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br />
        deux-cent-vingt-mille-quatre-cent-vingt&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        trois-mille-cent</span></p>
        <h2 class="modaleInfos_soustitre">Ancienne orthographe</h2>
        <p>Avant les recommandations de simplification apparues en 1990, on ne mettait de tirets qu'entre les mots des parties de nombre inférieures à 100, et pas autour du mot "et".</p>
        <p>Exemples :&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class="modaleInfos_exemple">vingt-trois&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;soixante et onze&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;trois cent quatre-ving-huit<br />six cent vingt-six mille cent quarante-deux&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;soixante-seize millions quatre cent dix-huit mille neuf cent trente-sept</span></p>
        <p>Cette ancienne orthographe est toujours acceptée.</p>
      </div>
      <div class="centrer">
        <button id="btquitter" class="modale_bouton modaleInfos_bouton" type="button" onclick="quitteModaleInfos()">Quitter</button>
      </div>
    </div>

  {% include 'templates/global.js.html' %}
  <script src="chiffres-lettres.js" type="text/javascript"></script>
</body>
</html>
